# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "anofox-regression"
version = "0.3.1"
authors = ["Simon M"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A robust statistics library for regression analysis"
documentation = "https://docs.rs/anofox-regression"
readme = "README.md"
keywords = [
    "statistics",
    "regression",
    "linear-regression",
    "inference",
]
categories = [
    "science",
    "algorithms",
]
license = "MIT"
repository = "https://github.com/sipemu/anofox-regression"

[lib]
name = "anofox_regression"
path = "src/lib.rs"

[[example]]
name = "collinearity_intervals"
path = "examples/collinearity_intervals.rs"

[[test]]
name = "alm_tests"
path = "tests/alm_tests.rs"

[[test]]
name = "diagnostics_tests"
path = "tests/diagnostics_tests.rs"

[[test]]
name = "elastic_net_tests"
path = "tests/elastic_net_tests.rs"

[[test]]
name = "ols_tests"
path = "tests/ols_tests.rs"

[[test]]
name = "prediction_interval_tests"
path = "tests/prediction_interval_tests.rs"

[[test]]
name = "r_classic_datasets"
path = "tests/r_classic_datasets.rs"

[[test]]
name = "r_validation_alm"
path = "tests/r_validation_alm.rs"

[[test]]
name = "r_validation_glm"
path = "tests/r_validation_glm.rs"

[[test]]
name = "r_validation_intervals"
path = "tests/r_validation_intervals.rs"

[[test]]
name = "r_validation_regression"
path = "tests/r_validation_regression.rs"

[[test]]
name = "ridge_tests"
path = "tests/ridge_tests.rs"

[[test]]
name = "rls_tests"
path = "tests/rls_tests.rs"

[[test]]
name = "validation_tests"
path = "tests/validation_tests.rs"

[[test]]
name = "wls_tests"
path = "tests/wls_tests.rs"

[dependencies.faer]
version = "0.23"
features = [
    "std",
    "linalg",
]
default-features = false

[dependencies.statrs]
version = "0.18"

[dependencies.thiserror]
version = "2.0"

[dev-dependencies.approx]
version = "0.5"

[target.'cfg(target_arch = "wasm32")'.dependencies.getrandom]
version = "0.3"
features = ["wasm_js"]
